#include "oulib.h"

int main(void)
{
  uint16_t val;

  // Initialize serial
  serial0_init(9600);

  // Initialize adc
  adc_set_reference(ADC_REF_AREF);       // Use the reference pin
  adc_set_adlar(0);                      // For our purposes, always use 0
  adc_set_channel(ADC_CHANNEL_0);        // ADC0
  adc_set_prescalar(ADC_PRESCALAR_128);  // Necessary with 16MHz clock
                                         //  and 10 bit resolution

  // Turn on ADC
  adc_set_enable(ADC_ENABLE);

  while(1) {
    adc_start_conversion();
    // Could go off and do something else for a while;
    val = adc_read();
    printf("Val: %d\n\r", val);
  };
  
};

