#include "oulib.h"

/**
   Enable/disable the ADC ISR.

   @param cmd ADC_INTERRUPT_DISABLE: disables the ISR (default) <BR>
   ADC_INTERRUPT_ENABLE: enable the ISR

   @author Andrew H. Fagg

   \ingroup adc
*/

void adc_interrupt_enable(uint8_t cmd)
{
  ADCSRA = (ADCSRA & 0xF7) | ((cmd & 0x1) << 3);
};

