#include "buffer.h"
/**
   Remove all elements in the specified buffer

   <P>

   @param buf A pointer to an existing and initialized BUFFER structure.

   @author Andrew H. Fagg (fagg@cs.ou.edu)

   \ingroup buffer

*/
void buffer_flush(BUFFER *buf)

{
  char out;
  
  // Wait until there is a value to return
  while(!BUFFER_EMPTY(buf)){
    buffer_remove(buf);
  };
};

