#include "buffer.h"

/**
   Return the number of bytes that are currently stored
   in the buffer.

   @param buf A pointer to an existing and initialized BUFFER structure.

   @return The number of bytes in the buffer.

   @author Andrew H. Fagg (fagg@cs.ou.edu)

   \ingroup buffer
*/


uint16_t buffer_nbytes(BUFFER* buf)
{
  return((buf->size + buf->back - buf->front)%buf->size);
};

