#include "oulib.h"
#include "stdlib.h"

extern int uart_send(char c, FILE *fp);
extern int uart_recv(FILE *fp);
extern int uart_send_general(char c, FILE *fp);
extern int uart_recv_general(FILE *fp);


// serial0_init(unsigned long baud_rate) 
//
// Initialize PD0/PD1 as a serial device
//
// OBSOLETE

void serial0_init(unsigned long baud_rate)  // p.136
{
	
	UCSRB = (1<<RXEN)|(1<<TXEN);
	unsigned int baud = (F_CPU / (16 * baud_rate)) - 1;
	UBRRH = (unsigned char) (baud>>8);
	UBRRL = (unsigned char) baud;

	// Use defaults for UCSRC, 8N1, p.153

	fdevopen(uart_send, uart_recv);
}


