#include "oulib.h"

/**
   Set the global state of the ADC hardware.

   <P>

   @param cmd ADC_ENABLE: enable the ADC <BR>
   ADC_DISABLE: disable the ADC

   @author Andrew H. Fagg

   \ingroup adc
*/

void adc_set_enable(uint8_t cmd)
{
  ADCSRA = (ADCSRA & 0x7F) | ((cmd & 0x1) << 7);
}
