#include "oulib.h"

//////////////////////////////////////////////////////////////////////
// Serial interface support

//  I/O interface (enables things like getchar(), putchar(), printf(),
// scanf() to work

// void uart_recv_flush (void)
//
// Clear out the contents of the receive buffer
//
/*
void uart_recv_flush (void)  // p.144
{
	unsigned char dummy;
	while(bit_is_set(UCSRA, RXC)) dummy = UDR;
}
*/

// int uart_send(char c)
//
// Send a byte to the serial port
//

int uart_send(char c, FILE *fp)  // p.137
{
	loop_until_bit_is_set(UCSRA, UDRE);
	UDR = c;
	return 0;
}

//  int uart_recv(void)
//
//  Receive a byte from the serial port


int uart_recv(FILE *fp)  // p.140
{
	loop_until_bit_is_set(UCSRA, RXC);
	return UDR;
}

