#include "oulib.h"
/**
   Configure the TWI interrupt.

   @param cmd  TWI_INTERRUPT_ENABLE: enable the twi interrupt <BR>
   TWI_INTERRUPT_DISABLE: disable 

   @author Andrew H. Fagg

   \ingroup twi

 */

void twi_interrupt_config(uint8_t cmd)
{
  TWCR = (TWCR & ~_BV(TWIE)) | (cmd & (_BV(TWIE)));
};




