#include "oulib.h"

/**
   Place a byte for transmission into the buffer.

   <P>
   Note: Initiates the transmission of the byte immediately.

   @param val Byte value to transmit

   @author Andrew H. Fagg

   \ingroup twi
*/

void twi_send_byte(uint8_t val)
{
  TWDR = val;
  TWCR = _BV(TWINT) | _BV(TWEN) | (TWCR & (_BV(TWIE)|_BV(TWEA)));
};




